- Home
- API Enriched
- Ce Management
- register
- Registration Config.
Registration Config.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/requestConfig';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/requestConfig \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "token": "example" }'API endpoint for returning configuration for admitted registrations. It will fail with known error for non-ADMITTED registration.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET configuration.
object
Registration name Required: YES.
Registration namespace Required: YES.
Token - verify node identity Required: YES.
Examplegenerated
{ "name": "example", "namespace": "example", "token": "example"}Responses
Section titled “Responses”A successful response.
Response for configuration request. This response is consumed by node.
object
Hash of workload map which is used to verify consistency and check changes.
Configuration for applications and infrastructure.
object
Examplegenerated
{ "hash": "example", "workload": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example